networks:
  ingress:
    external: false

volumes:
  logs:
    driver: local

services:
  reporter-ingress:
    image: git.nixc.us/colin/oculus:staging-reporter
    environment:
      - GLITCHTIP_DSN="https://05d1c1847e814dca976b68b462c86b63@glitch.nixc.us/8"
    # volumes:
    #   - logs:/logs
    networks:
      - ingress
    labels:
      traefik.enable: "false"
      oculus.containerid: "reporter-ingress"
      oculus.ignorelist: "/logs/,/tmp/"
      oculus.mode: "monitor"
      oculus.interval: "300s"
    deploy:
      placement:
        constraints:
          - node.hostname == ingress.nixc.us
      update_config:
        order: stop-first
        failure_action: rollback
        delay: 0s
        parallelism: 1
      restart_policy:
        condition: on-failure

  api-ingress:
    image: git.nixc.us/colin/oculus:staging-monitor
    environment:
      - GLITCHTIP_DSN="https://05d1c1847e814dca976b68b462c86b63@glitch.nixc.us/8"
    # volumes:
    #   - /var/run/docker.sock:/var/run/docker.sock:ro
    networks:
      - ingress
    labels:
      traefik.enable: "false"
      oculus.containerid: "api-ingress"
      oculus.ignorelist: ""
      oculus.mode: "monitor"
      oculus.interval: "300s"
    deploy:
      placement:
        constraints:
          - node.hostname == ingress.nixc.us
      update_config:
        order: stop-first
        failure_action: rollback
        delay: 0s
        parallelism: 1
      restart_policy:
        condition: on-failure
